import request from '@/utils/request'

// 查询学习培训分类列表
export function listTrainingCategory(query) {
    return request({
        url: '/system/trainingCategory/list',
        method: 'get',
        params: query
    })
}

// 查询学习培训分类详细
export function getTrainingCategory(id) {
    return request({
        url: '/system/trainingCategory/' + id,
        method: 'get'
    })
}

// 新增学习培训分类
export function addTrainingCategory(data) {
    return request({
        url: '/system/trainingCategory/add',
        method: 'post',
        data: data
    })
}

// 修改学习培训分类
export function updateTrainingCategory(data) {
    return request({
        url: '/system/trainingCategory/edit',
        method: 'post',
        data: data
    })
}

// 删除学习培训分类
export function delTrainingCategory(id) {
    return request({
        url: '/system/trainingCategory/' + id,
        method: 'delete'
    })
}
